// Returns Arg[0] * (1 - tex_0) + Arg[1] * tex_0
// Black will become the color in Arg[0]
// White will become the color in Arg[1]

float4 PS( VS_to_PS input) : SV_Target {
	return lerp(Arg[0], Arg[1], tex_0.Sample( samClampedLinear, PixelPos / Dimensions ));
}
